Skip to main content
GET
/
orgs
/
{orgId}
/
compliance
/
controls
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{orgId}/compliance/controls \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "controlId": "<string>",
      "title": "<string>",
      "description": "<string>",
      "owner": "<string>",
      "lastTestedAt": "<string>",
      "nextReviewAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

Query Parameters

framework
enum<string>

Filter by framework

Available options:
SOC2,
GDPR,
PCI
category
enum<string>

Filter by category

Available options:
CC1,
CC2,
CC3,
CC4,
CC5,
CC6,
CC7,
CC8,
CC9,
A1,
PI1,
C1,
P1
status
enum<string>

Filter by status

Available options:
NOT_STARTED,
IN_PROGRESS,
IMPLEMENTED,
VERIFIED,
FAILED
cursor
string

Pagination cursor

limit
integer
default:50

Maximum number of controls to return

Required range: 1 <= x <= 100

Response

200 - application/json

OK

Paginated list of compliance controls

items
object[]
required

List of compliance controls

nextCursor
string | null
required

Cursor for the next page, null if no more results